XLOCK(1)

NAME
xlock - Locks the local X display until a password is entered.

SYNOPSIS
xlock [ -display dsp ] [ -help ] [ -nameresource-name ] [ -resources ] [ -/+remote ] [ -/+mono ] [ -/+nolock ] [ -/+allowroot ] [ -/+enablesaver ] [ -/+allowaccess ] [ -/+echokeys ] [ -/+usefirst ] [ -/+v ] [ -delay usecs ] [ -batchcount num ] [ -nice level ] [ -timeout seconds ] [ -saturation value ] [ -font fontname ] [ -bg color ] [ -fg color ] [ -mode mode ] [ -username textstring ] [ -password textstring ] [ -info textstring ] [ -validate textstring ] [ -invalid textstring ]

DESCRIPTION
xlock locks the X server till the user enters their password at the keyboard. While xlock is running, all new server connections are refused. The screen saver is disabled. The mouse cursor is turned off. The screen is blanked and a changing pattern is put on the screen. If a key or a mouse button is pressed then the user is prompted for the password of the user who started xlock. If the correct password is typed, then the screen is unlocked and the X server is restored. When typing the password Control-U and Control-H are active as kill and erase respectively. To return to the locked screen, click in the small icon version of the changing pattern.

OPTIONS

-display  dsp
    The display option sets the X11 display to lock. xlock locks all available screens on a given server, and restricts you to locking only a local server such as unix:0, localhost:0, or :0 unless you set the -remote option.

-name  resource-name
    resource-name is used instead of XLock when looking for resources to configure xlock.

-mode  modename
    As of this writing there are eight display modes supported (plus one more for random selection of one of the eight).

hop Hop mode shows the "real plane fractals" from the September 1986 issue of Scientific American.

life
    Life mode shows Conway's game of life.

qix Qix mode shows the spinning lines similar to the old video game by the same name.

image
    Image mode shows several sun logos randomly appearing on the screen.

swarm
    Swarm mode shows a swarm of bees following a wasp.

rotor
    Rotor mode shows a swirling rotorlike thing.

pyro
    Pyro mode shows fireworks.

flame
    Flame mode shows wierd but cool cosmic flame fractals.

worm
    Worm mode shows wiggly worms...

blank
    Blank mode shows nothing but a black screen.

random
    Random mode picks a random mode from all of the above except blank mode.

-delay  usecs
    The delay option sets the speed at which a mode will operate. It simply sets the number of microseconds to delay between batches of "hopalong pixels", "qix lines", "life generations", "image blits", and "swarm motions". In blank mode, it is important to set this to some small number of seconds, because the keyboard and mouse are only checked after each delay, so you cannot set the delay too high, but a delay of zero would needlessly consume cpu checking for mouse and keyboard input in a tight loop, since blank mode has no work to do.

-batchcount  num
    The batchcount option sets number of things to do per batch to num . In hop mode this refers to the number of pixels rendered in the same color. In life mode it is the number of generations to let each species live. In qix mode it is the number of lines rendered in the same color. In image mode it is the number of sunlogos on screen at once. In swarm mode it is the number of bees. In rotor mode it is the number of rotor thingys which whirr... In pyro mode it is the maximum number flying rockets at one time. In flame mode it is the number of levels to recurse (larger = more complex). In worm mode it is the number of worms. In blank mode it means nothing.

-nice  nicelevel
    The nice option sets system nicelevel of the xlock process to nicelevel .

-timeout  seconds
    The timeout option sets the number of seconds before the password screen will time out.

-saturation  value
    The saturation option sets saturation of the color ramp used to value . 0 is grayscale and 1 is very rich color. 0.4 is a nice pastel.

-font  fontname
    The font option sets the font to be used on the prompt screen.

-fg  color
    The fg option sets the color of the text on the password screen to color .

-bg  color
    The bg option sets the color of the background on the password screen to color .

-username  textstring
    textstring is shown in front of user name, defaults to "Name: ".

-password  textstring
    textstring is the password prompt string, defaults to "Password: ".

-info  textstring
    textstring is an informational message to tell the user what to do, defaults to "Enter password to unlock; select icon to lock.".

-validate textstring
    textstring -validate message shown while validating the password, defaults to "Validating login..."

-invalid textstring
    textstring -invalid message shown when password is invalid, defaults to "Invalid login."

-resources
    The resources option prints the default resource file for xlock to standard output.

-/+remote
    The remote option tells xlock to not stop you from locking remote X11 servers. This option should be used with care and is intended mainly to lock X11 terminals which cannot run xlock locally. If you lock someone else's workstation, they will have to know your password to unlock it.

-/+mono
    The mono option causes xlock to display monochrome, (black and white) pixels rather than the default colored ones on color displays

+/-nolock
    The nolock option causes xlock to only draw the patterns and not lock the display. A keypress or a mouse click will terminate the screen saver.

-/+allowroot
    The allowroot option allows the root password to unlock the server as well as the user who started xlock.

-/+enablesaver
    By default xlock will disable the normal X server's screen saver since it is in effect a replacement for it. Since it is possible to set delay parameters long enough to cause phosphor burn on some displays, this option will turn back on the default screensaver which is very careful to keep most of the screen black.

-/+allowaccess
    This option is required for servers which do not allow clients to modify the host access control list. It is also useful if you need to run x clients on a server which is locked for some reason... When allowaccess is true, the X11 server is left open for clients to attach and thus lowers the inherent security of this lockscreen. A side effect of using this option is that if xlock is killed -KILL, the access control list is not lost.

-/+echokeys
    The echokeys option causes xlock to echo '?' characters for each key typed into the password prompt. Some consider this a security risk, so the default is to not echo anything.

-/+usefirst
    The usefirst option causes xlock to use the keystroke which got you to the password screen as the first character in the password. The default is to ignore the first key pressed.

-v  Verbose mode, tells what options it is going to use.

BUGS
"kill -KILL xlock " causes the server that was locked to be unusable, since all hosts (including localhost) were removed from the access control list to lock out new X clients, and since xlock couldn't catch SIGKILL, it terminated before restoring the access control list. This will leave the X server in a state where "you can no longer connect to that server, and this operation cannot be reversed unless you reset the server."
        -From the X11R4 Xlib Documentation, Chapter 7. NCD terminals do not allow xlock to remove all the hosts from the access control list. Therefore you will need to use the "-remote" and "-noaccess" switches. If you happen to run without "-noaccess" on an NCD terminal, xlock won't work and you will need to reboot the terminal, or simply go into the SETUP menus, under 'Network Parameters', and turn off TCP/IP access control.

SEE ALSO
X(1), Xlib Documentation.

AUTHOR
 Patrick J. Naughton     (naughton@eng.sun.com)
 Mailstop 21-14
 Sun Microsystems Laboratories, Inc.
 Mountain View, CA 94043
 415/336-1080

COPYRIGHT
Copyright (c) 1988-91 by Patrick J. Naughton Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.